org.apache.tinkerpop.gremlin.groovy.engine

## Class GremlinExecutor.LifeCycle

- java.lang.Object
- - org.apache.tinkerpop.gremlin.groovy.engine.GremlinExecutor.LifeCycle

- Enclosing class:
    GremlinExecutor

      public static class GremlinExecutor.LifeCycle
      extends Object

  The lifecycle of execution within the `GremlinExecutor.eval(String, String, Bindings, LifeCycle)` method. Since scripts are executed in a thread pool and graph transactions are bound to a thread all actions related to that script evaluation, both before and after that evaluation, need to be executed in the same thread. This leads to a lifecycle of actions that can occur within that evaluation. Note that some of these options can be globally set on the `GremlinExecutor` itself through the `GremlinExecutor.Builder`. If specified here, they will override those global settings.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GremlinExecutor.LifeCycle.Builder`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GremlinExecutor.LifeCycle.Builder` | `build()`
    `Optional<BiConsumer<Bindings,Throwable>>` | `getAfterFailure()`
    `Optional<Consumer<Bindings>>` | `getAfterSuccess()`
    `Optional<Consumer<Bindings>>` | `getAfterTimeout()`
    `Optional<Consumer<Bindings>>` | `getBeforeEval()`
    `Optional<Long>` | `getEvaluationTimeoutOverride()`
    `Optional<Long>` | `getScriptEvaluationTimeoutOverride()` Deprecated. As of release 3.3.9, replaced by `getEvaluationTimeoutOverride()`.
    `Optional<Function<Object,Object>>` | `getTransformResult()`
    `Optional<Consumer<Object>>` | `getWithResult()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getScriptEvaluationTimeoutOverride

          @Deprecated
          public Optional<Long> getScriptEvaluationTimeoutOverride()

      Deprecated. As of release 3.3.9, replaced by `getEvaluationTimeoutOverride()`.

    - #### getEvaluationTimeoutOverride

          public Optional<Long> getEvaluationTimeoutOverride()

    - #### getBeforeEval

          public Optional<Consumer<Bindings>> getBeforeEval()

    - #### getTransformResult

          public Optional<Function<Object,Object>> getTransformResult()

    - #### getWithResult

          public Optional<Consumer<Object>> getWithResult()

    - #### getAfterSuccess

          public Optional<Consumer<Bindings>> getAfterSuccess()

    - #### getAfterTimeout

          public Optional<Consumer<Bindings>> getAfterTimeout()

    - #### getAfterFailure

          public Optional<BiConsumer<Bindings,Throwable>> getAfterFailure()

    - #### build

          public static GremlinExecutor.LifeCycle.Builder build()

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.